# Set chat admin custom title

To set chat admin custom title, use **AdminTitle class-method** or `.adminTitle` **answer/api method**

#### AdminTitle class-method or .adminTitle answer method take arguments:

<table><thead><tr><th width="150" data-type="number">Argument</th><th width="383.3227222832053">Description</th><th>Required</th></tr></thead><tbody><tr><td>1</td><td>Admin title you want to set (0-16 characters, emoji are not allowed)</td><td><strong>Required</strong></td></tr><tr><td>2</td><td>Admin id</td><td>Optional. Current user id by default</td></tr></tbody></table>

{% hint style="info" %}
If you want to know what arguments an API method takes, see the IDE hint
{% endhint %}

{% code title="app.controller.ts" %}

```typescript
import { Controller, OnText, AdminTitle } from 'nestgram';
import { AppService } from './app.service';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @OnText('change my post')
  adminTitle() {
    return new AdminTitle('the best admin').next(`Success!`);
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://degreetpro.gitbook.io/nestgram/api-reference/set-chat-admin-custom-title.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
